summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTilman Blumenbach2013-09-28 20:47:22 +0200
committerTilman Blumenbach2013-09-28 20:47:22 +0200
commitf9d46e1e20a49352e0ffc490398010869328d554 (patch)
tree47d16af22f5c65982c2d54294bf3c0f31ee815e5
downloadaur-f9d46e1e20a49352e0ffc490398010869328d554.tar.gz
Added tsocks-tools package
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD27
-rw-r--r--prognames.patch12
3 files changed, 55 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ab70376c8eb
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = tsocks-tools
+ pkgdesc = Misc. tools from the tsocks package
+ pkgver = 1.8beta5
+ pkgrel = 2
+ url = http://tsocks.sf.net
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = glibc
+ source = http://downloads.sf.net/tsocks/tsocks-1.8beta5.tar.gz
+ source = prognames.patch
+ md5sums = 51caefd77e5d440d0bbd6443db4fc0f8
+ md5sums = 31f3cef79c70578b3dc8d1d8776154c2
+
+pkgname = tsocks-tools
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a45deaaad2a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Contributor: Tilman Blumenbach <tilman@ax86.net>
+pkgname=tsocks-tools
+pkgver='1.8beta5'
+pkgrel=2
+pkgdesc='Misc. tools from the tsocks package'
+arch=('i686' 'x86_64')
+url="http://tsocks.sf.net"
+license=('GPL')
+depends=('glibc')
+source=("http://downloads.sf.net/tsocks/tsocks-${pkgver}.tar.gz"
+ prognames.patch)
+
+build()
+{
+ cd "${srcdir}/tsocks-1.8"
+
+ patch -Np 1 -i "${srcdir}/prognames.patch" || return 1
+ ./configure
+ make inspectsocks saveme validateconf || return 1
+
+ install -D saveme "${pkgdir}/usr/bin/tsocks-saveme"
+ install validateconf "${pkgdir}/usr/bin/tsocks-validateconf"
+ install inspectsocks "${pkgdir}/usr/bin"
+}
+
+md5sums=('51caefd77e5d440d0bbd6443db4fc0f8'
+ '31f3cef79c70578b3dc8d1d8776154c2')
diff --git a/prognames.patch b/prognames.patch
new file mode 100644
index 00000000000..666d39eabc8
--- /dev/null
+++ b/prognames.patch
@@ -0,0 +1,12 @@
+diff -ruNa tsocks-1.8_b/validateconf.c tsocks-1.8/validateconf.c
+--- tsocks-1.8_b/validateconf.c 2009-12-23 21:45:03.000000000 +0100
++++ tsocks-1.8/validateconf.c 2009-12-23 21:47:19.000000000 +0100
+@@ -23,7 +23,7 @@
+ */
+
+ /* Global configuration variables */
+-char *progname = "validateconf"; /* Name for error msgs */
++char *progname = "tsocks-validateconf"; /* Name for error msgs */
+
+ /* Header Files */
+ #include <config.h>